org.apache.xmlbeans

## Class SchemaGlobalElement.Ref

- java.lang.Object
- - org.apache.xmlbeans.SchemaComponent.Ref
  - - org.apache.xmlbeans.SchemaGlobalElement.Ref

Enclosing interface:
  SchemaGlobalElement

    public static final class SchemaGlobalElement.Ref
    extends SchemaComponent.Ref

Used to allow on-demand loading of elements.

### Field Summary

### Fields inherited from class org.apache.xmlbeans.SchemaComponent.Ref

`_handle`

### Constructor Summary

Constructors
Constructor and Description
`Ref(SchemaGlobalElement element)`
`Ref(SchemaTypeSystem system, String handle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SchemaGlobalElement` `get()`
`int` `getComponentType()`

### Methods inherited from class org.apache.xmlbeans.SchemaComponent.Ref

`getComponent, getTypeSystem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Ref

    public Ref(SchemaGlobalElement element)

#### Ref

    public Ref(SchemaTypeSystem system,
               String handle)

### Method Detail

#### getComponentType

    public final int getComponentType()

Specified by:
  `getComponentType` in class `SchemaComponent.Ref`

#### get

    public final SchemaGlobalElement get()